> ## Documentation Index
> Fetch the complete documentation index at: https://deepvue-2e0dbadd.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Download Report

> Download the analysed report in xlsx or json format.



## OpenAPI

````yaml GET /v1/bsa/download-report
openapi: 3.0.2
info:
  title: Deepvue.tech Developers' Guide
  description: >-
    Deepvue.tech's APIs and SDKs are a No-Code Solution to Document Digitization
    and Verification for Businesses.
  version: v1
  x-logo:
    url: https://deepvue.tech/wp-content/uploads//2022/01/deepvue-logo1-1.svg
servers:
  - url: https://production.deepvue.tech
security:
  - BearerAuth: []
    ApiKeyAuth: []
tags:
  - name: Authorization
    description: |-
      - You need an Authorized Access Token to access any of the Platform APIs.
      - One Access Token will be valid for only 24 hours.
      - After 24 hours, you can renew the token by using the Authorize Endpoint.
      - This will issue another access_token valid for 24 hrs.
  - name: Aadhaar Ekyc V2
    description: New streamlined APIs for Aadhaar eKYC
  - name: Offline Aadhaar eKYC
    description: >-
      Offline Aadhaar KYC, or OKYC, is a legally compliant KYC method as per
      UIDAI guidelines.   
                              Your customers can provide their Aadhaar number and verify with an OTP sent to their Aadhaar-linked mobile number, to access a downloadable XML file with their Aadhaar details.   

      **How does Offline Aadhaar Verification work?**    
                              **Provide Consent**:  Customers agree or disagree to continue at the initial screen.   
                              **Share Aadhaar Number**: Customers provide their Aadhaar number to proceed with the verification.   
                              **Verify with OTP**: Verify with an OTP sent to their Aadhaar-linked mobile number by UIDAI, to access a downloadable XML file with their Aadhaar details in a share code manner.    
                              **Realtime face match** for liveness detection: The Aadhaar Offline document has Name, Address, Photo, Gender, DOB. Optionally, the photo in the UIDAI Issued Aadhaar document can be matched with customers' live photo or a selfie in real time to ensure liveness checks.   

      *You can simply integrate Offline Aadhaar eKYC within your application
      with no-code and in no time with our Deepvue.tech Offline Aadhaar eKYC
      SDKs.*    


      **Below are the integration guides to integrate the platform specific
      SDKs:**   

      **Android SDK** :
      https://github.com/deepvue-tech/deepvue-aadhaar-offline-ekyc-android-sdk   
                              **iOS SDK** : https://github.com/deepvue-tech/deepvue-aadhaar-offline-ekyc-ios-sdk   
                              **React-Native SDK** : https://github.com/deepvue-tech/deepvue-aadhaar-offline-ekyc-react-sdk    
                              **Flutter SDK** : https://pub.dev/packages/aadhaar_offline_ekyc    

      **NOTE**:   
                  
              As per the compliances by UIDAI on sharing and storage of Aadhaar number is not allowed.    
              
              Service Providers shall not share, publish or display either Share Code or XML file or its contents with anyone else.   
              Any non-compliance of these actions shall invite actions under Sections 17 and 25 of The Aadhaar (Authentication) Regulation, 2016,    
              Sections 4 and 6 of The Aadhaar (Sharing of Information) Regulation, 2016 and Sections 29(2), 29 (3), and 37 of The Aadhaar Act, 2016.   

              Consent should be mandatorily stored at the company end to proceed with verification.   

      If you want to integrate Aadhaar eKYC in your web application or want to
      build your own customized workflow you can use our Aadhaar eKYC APIs
      detailed below.   


      Embed offline eKYC Aadhaar flow to verify consumers on your application
      using a simple flow.    
                                      - **Initiate Session**: This API allows the platform to initiate a session to get the captcha before passing the Aadhaar number of the customer.    
                                      - **Generate OTP**: This API allows the platform to pass the Aadhaar number to generate OTP to the linked mobile number.    
                                      - **Verify OTP**: This API allows the platform to pass the OTP to Deepvue.tech to fetch the customer's Aadhaar information from UIDAI.    

      If the customer or the platform wishes to restart the session, a new
      captcha can be generated using the Reload Captcha API.
  - name: Digilocker
    description: >-
      Digilocker is an initiative under Digital India Program which aims to
      remove the dependency on physical documents and power the sharing of
      verified electronic documents across authorised agencies.   


      **Benefits of Digilocker**    
                              1. Documents can be shared online, accessed anytime, anywhere.   
                              2. Documents can be authenticated by the users, legally on a par with originals.   
                              3. It's simple to use and very convenient.   
                              4. Documents are issued directly by the registered issuers such as Income Tax Department, CBSE, Registrar Office, etc.    

      **Product Flow**   

      **Initiate Session** : This API creates a session in which DigiLocker
      journey can be completed with other APIs in the flow.   
                              **Get User Access Token** : This API allows the platform to get user access token from Digilocker by passing the authorisation code generated from Digilocker.   
                              **Get Issued Files** : This API allows the platform to fetch a list of issued documents from Digilocker.    
                              **Download e-Aadhar** : This API allows the platform to download the Aadhaar XML from Digilocker.    
                              **Download File** : This API allows the platform to download the file from Digilocker by passing the URI for a particular document.    
  - name: KYC APIs
    description: >-
      Verify Aadhaar, PAN, GSTIN, Bank Account, and UPI details in real time for
      quick KYC checks.
  - name: Document OCR
    description: >-
      Our systems use Modern & Latest OCR technology to scan the document images
      for field’s like full name, dob, address, etc. on the photo IDs and
      exctract these fields as key-value pairs.
  - name: Document Forensics
    description: >-
      Set of APIs that help with document forensic checks like template
      validation, image quality, photocopy, and spoof checks.
  - name: Face Forensics
    description: >-
      APIs for facial recognition and liveliness verification in real time.    

      The Face Match API employs advanced algorithms for reliable facial
      matching, crucial for secure access control and compliance.   

      The Passive Liveness API enhances security by detecting and confirming the
      liveliness of faces during authentication, providing an additional layer
      of protection against impersonation and fraud.   
  - name: Async KYC APIs
    description: >-
      Verify other Identity documents such as Driving License, Vehicle
      Registration Certificate etc. in real time for fast KYC checks.    
              These are Asynchronous APIs which return a request ID and use a webhook mechanism to return the response back to your servers.    
              You can then use this request ID and feed this into our GET API to consume the response.
  - name: GST APIs
    description: >-
      Set of APIs that help with GST Registered business verification and
      onboarding.
  - name: GST Taxpayer APIs
    description: >-
      The GST Taxpayer APIs are provided by the GSTN for public usage. These
      APIs, together, mirror the GST Portal.   


      Therefore, you can use these APIs to integrate GST compliance into your
      workflow itself.   


      Use the following workflow to access the GST Taxpayer APIs:   


      **First**, the GST taxpayer is authenticated using **OTP
      Verification**.   


      **Second**, after successful authentication, the GST Taxpayer APIs can be
      accessed.   
         i. **Ledger APIs** - Fetch the taxpayer's ledger like a) Cash ITC Balance, b) Cash Ledger, c) ITC Ledger.   
         ii. **Returns APIs** - Fetch the taxpayer's detailed summaries of GSTR -1 and GSTR -3B Returns.   
  - name: Taxpayer APIs
    description: |-
      Taxpayer APIs includes TAN Verification.   

       Taxpayer APIs help businesses verify their vendors, customers & employees using TAN. APIs also provide publicly available data such as name, address, and contact details that can be verified against physical documents.   
  - name: ITR APIs
    description: |-
      ITR APIs includes ITR Verification APIs including 26AS.   

       ITR APIs helps businesses download ITR information, such as ITR ID, Filing Year, Acknowledgement Number, ITR Form, Filing Date, ITR status, etc..    
  - name: MSME APIs
    description: >-
      Set of APIs that help with MSME Registered business verification and
      onboarding.
  - name: MCA APIs
    description: >-
      Set of APIs that help fetch MCA's Director Master Data & Company Master
      Data.
  - name: Financial Services
    description: >-
      Suite that provides you whole array of APIs to serve multiple financial
      services and fetch data for an organisation or individual from various
      data sources in a streamlined manner.   


      Some of the key things that you can do here are:   


      i.Fetch the Credit Report from any of our partner credit bureaus.   

      ii.Fetch customer's Customer Data Pull basis mobile number and name to
      simplify your onboarding.
  - name: Account Aggregator
    description: >-
      Account Aggregators(AAs) are regulated entities that facilitate consented
      sharing of financial data by utilising the DEPA framework. They act as the
      bridge between data providers such as banks, and data consumers such as
      lenders—to enable the sharing of a user’s financial data based on their
      explicit consent.   
              Deepvue currently provides AA-related services in close partnership with a fully-licensed AA.
paths:
  /v1/bsa/download-report:
    get:
      tags:
        - Bank Statement Analysis
      summary: Get Download Report
      operationId: get_download_report_v1_bsa_download_report_get
      parameters:
        - required: true
          schema:
            title: Reference Id
            type: string
            description: Unique ID returned from upload API
          name: reference_id
          in: query
        - required: true
          schema:
            allOf:
              - $ref: '#/components/schemas/ReportTypeEnum'
            default: json
          name: report_type
          in: query
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                title: >-
                  Response 200 - File Processing Completed / In Progress /
                  Failed
                oneOf:
                  - $ref: >-
                      #/components/schemas/RESPONSE_BANK_STATEMENT_RESULT_200_COMPLETED_XLSX
                  - $ref: >-
                      #/components/schemas/RESPONSE_BANK_STATEMENT_RESULT_200_COMPLETED
                  - $ref: >-
                      #/components/schemas/RESPONSE_BANK_STATEMENT_RESULT_200_IN_PROGRESS
                  - $ref: >-
                      #/components/schemas/RESPONSE_BANK_STATEMENT_RESULT_200_FAILED
              examples:
                200 - File Processing Completed (XLSX):
                  value:
                    code: 200
                    timestamp: 1743779806782
                    transaction_id: 8d42f493eb16402bad2b7ad9e7f215d8
                    sub_code: SUCCESS
                    message: File processing completed
                    data:
                      url: >-
                        https://deepvue-tech.s3.ap-south-1.amazonaws.com/333e8ab-91fc-4291-8dc8-29c89373b9e4_BSA_Report.xlsx
                200 - File Processing Complete:
                  value:
                    code: 200
                    timestamp: 1744185415580
                    transaction_id: 34d352c79d094ff19a8053bcdcefca9b
                    sub_code: SUCCESS
                    message: File processing completed
                    data:
                      salary:
                        - month: null
                          amount: null
                          salaryUtilizationNoOfDays: null
                          salaryUtilizationPercentage: null
                      OverView:
                        Apr 2025:
                          Tax: null
                          Saving: null
                          Interest: null
                          Insurance: null
                          monthYear: Apr 2025
                          POSExpense: null
                          RentIncome: null
                          BankCharges: null
                          CashDeposit: null
                          RentPayment: null
                          ForexPayment: null
                          GoodPurchase: null
                          LoanReceived: null
                          ReceiptTotal: 20075
                          SalaryIncome: null
                          SavingMargin: null
                          ForexReceipts: null
                          LoanRepayment: null
                          OtherReceipts: null
                          ReceiptMargin: -0.5979934717744357
                          SalaryPayment: null
                          TotalExpenses: 20075
                          otherPayments: null
                          CashWithDrawls: null
                          ChequePayments: null
                          ChequeReceipts: null
                          ClosingBalance: null
                          InterestIncome: null
                          OnlinePayments: 20075
                          OnlineReceipts: 20075
                          OpeningBalance: null
                          RefundReversal: null
                          UtilityPayment: null
                          InsuracePayment: null
                          CreditCardPayment: null
                          InvestmentExpense: null
                          InvestmentReceipt: null
                          IncomeRecieptTotal: null
                          TotalExpenseMargin: -0.5979934717744357
                          IncomeReceiptMargin: null
                          BankInstrumentPayment: null
                          ExternalPaymentMargin: -0.5979934717744357
                          ExternalPaymentsTotal: 20075
                          ExternalReceiptsTotal: 20075
                          FinancialPaymentTotal: null
                          FinancialReceiptTotal: null
                          BankInstrumentReceipts: null
                          ExternalReceiptsMargin: -0.5979934717744357
                          FinancialPaymentMargin: null
                          FinancialReceiptMargin: null
                          MaintenancePaymentsTotal: null
                          MaintenancePaymentsMargin: null
                        Jan 2025:
                          Tax: null
                          Saving: null
                          Interest: null
                          Insurance: null
                          monthYear: Jan 2025
                          POSExpense: null
                          RentIncome: null
                          BankCharges: null
                          CashDeposit: null
                          RentPayment: null
                          ForexPayment: null
                          GoodPurchase: null
                          LoanReceived: null
                          ReceiptTotal: 19201.64
                          SalaryIncome: null
                          SavingMargin: null
                          ForexReceipts: null
                          LoanRepayment: null
                          OtherReceipts: null
                          ReceiptMargin: null
                          SalaryPayment: null
                          TotalExpenses: 19201.64
                          otherPayments: null
                          CashWithDrawls: null
                          ChequePayments: null
                          ChequeReceipts: null
                          ClosingBalance: null
                          InterestIncome: null
                          OnlinePayments: 19201.64
                          OnlineReceipts: 19201.64
                          OpeningBalance: null
                          RefundReversal: null
                          UtilityPayment: null
                          InsuracePayment: null
                          CreditCardPayment: null
                          InvestmentExpense: null
                          InvestmentReceipt: null
                          IncomeRecieptTotal: null
                          TotalExpenseMargin: null
                          IncomeReceiptMargin: null
                          BankInstrumentPayment: null
                          ExternalPaymentMargin: null
                          ExternalPaymentsTotal: 19201.64
                          ExternalReceiptsTotal: 19201.64
                          FinancialPaymentTotal: null
                          FinancialReceiptTotal: null
                          BankInstrumentReceipts: null
                          ExternalReceiptsMargin: null
                          FinancialPaymentMargin: null
                          FinancialReceiptMargin: null
                          MaintenancePaymentsTotal: null
                          MaintenancePaymentsMargin: null
                        Mar 2025:
                          Tax: null
                          Saving: null
                          Interest: null
                          Insurance: null
                          monthYear: Mar 2025
                          POSExpense: null
                          RentIncome: null
                          BankCharges: null
                          CashDeposit: null
                          RentPayment: null
                          ForexPayment: null
                          GoodPurchase: null
                          LoanReceived: null
                          ReceiptTotal: 49937
                          SalaryIncome: null
                          SavingMargin: null
                          ForexReceipts: null
                          LoanRepayment: null
                          OtherReceipts: null
                          ReceiptMargin: 1.6006632766784503
                          SalaryPayment: null
                          TotalExpenses: 49937
                          otherPayments: null
                          CashWithDrawls: null
                          ChequePayments: null
                          ChequeReceipts: null
                          ClosingBalance: null
                          InterestIncome: null
                          OnlinePayments: 49937
                          OnlineReceipts: 49937
                          OpeningBalance: null
                          RefundReversal: null
                          UtilityPayment: null
                          InsuracePayment: null
                          CreditCardPayment: null
                          InvestmentExpense: null
                          InvestmentReceipt: null
                          IncomeRecieptTotal: null
                          TotalExpenseMargin: 1.6006632766784503
                          IncomeReceiptMargin: null
                          BankInstrumentPayment: null
                          ExternalPaymentMargin: 1.6006632766784503
                          ExternalPaymentsTotal: 49937
                          ExternalReceiptsTotal: 49937
                          FinancialPaymentTotal: null
                          FinancialReceiptTotal: null
                          BankInstrumentReceipts: null
                          ExternalReceiptsMargin: 1.6006632766784503
                          FinancialPaymentMargin: null
                          FinancialReceiptMargin: null
                          MaintenancePaymentsTotal: null
                          MaintenancePaymentsMargin: null
                      SnapShot:
                        Income:
                          - Month: Jan 2025
                            MonthlyIncomeByTotalIncome: '21.52'
                            MonthlyExpenseByTotalIncome: '21.52'
                            MonthlySavingsByTotalIncome: '0.00'
                          - Month: Mar 2025
                            MonthlyIncomeByTotalIncome: '55.97'
                            MonthlyExpenseByTotalIncome: '55.97'
                            MonthlySavingsByTotalIncome: '0.00'
                          - Month: Apr 2025
                            MonthlyIncomeByTotalIncome: '22.50'
                            MonthlyExpenseByTotalIncome: '22.50'
                            MonthlySavingsByTotalIncome: '0.00'
                        Description:
                          Probable account type basis the transactions: Other Income
                          Number of months "x" where the interest was irregularly credited out of total number of months "y"  (x/y): 0/3
                          Number of months "x" where there were only interest and bank charges transaction out of total number of months "y"  (x/y): 0/3
                          Number of months "x"  the salary has been utilized more than 50% in the next 5 days of salary credit out of the total months "y"  (x/y): 0/3
                        POS tranx account for:
                          y% of total income: null
                          x% of total expenditure: null
                        Marginal increase/(Descrease) in:
                          A/c maintenance charge frequency: null
                          Average monthly utilization of Salary: '0.00'
                          Average Variation in Monthly Expenditure: '0.50'
                          'Unavoidable Expenditure(rent +utility) is x% of total expenditure ': '0.00'
                          '"x" number of Inward Cheque Returns for "y" number of Cheque Payments (x/y)': 0/0
                          '"x" number of Outward Cheque Returns for "y" number of Cheque Receipts (x/y)': 0/0
                          Average Variation in Monthly Receipts (Salary , Self employed ,Rent Income ,Interest income): '0.50'
                      Eod analysis:
                        Eod Daily: ''
                        EOD MONTH WISE:
                          - MaxEod: '0.00'
                            minEod: '0.00'
                            oneEod: '0.00'
                            tenEod: '0.00'
                            fiveEod: '0.00'
                            lastDay: '0.00'
                            monthYear: Jan 2025
                            twentyEod: '0.00'
                            averageEod: '0.00'
                            fifteenEod: '0.00'
                            maxEodDate: 17-01-2025
                            minEodDate: 17-01-2025
                            twentyfiveEod: '0.00'
                            closingbalance: '0.00'
                            maxEodByIncome: '0.00'
                            minEodByIncome: '0.00'
                            openingBalance: '0.00'
                          - MaxEod: '0.00'
                            minEod: '0.00'
                            oneEod: '0.00'
                            tenEod: '0.00'
                            fiveEod: '0.00'
                            lastDay: '0.00'
                            monthYear: Feb 2025
                            twentyEod: '0.00'
                            averageEod: '0.00'
                            fifteenEod: '0.00'
                            maxEodDate: 01-12-2024
                            minEodDate: 01-12-2024
                            twentyfiveEod: '0.00'
                            closingbalance: '0.00'
                            maxEodByIncome: '0.00'
                            minEodByIncome: '0.00'
                            openingBalance: '0.00'
                          - MaxEod: '0.00'
                            minEod: '0.00'
                            oneEod: '0.00'
                            tenEod: '0.00'
                            fiveEod: '0.00'
                            lastDay: '0.00'
                            monthYear: Mar 2025
                            twentyEod: '0.00'
                            averageEod: '0.00'
                            fifteenEod: '0.00'
                            maxEodDate: 01-03-2025
                            minEodDate: 01-03-2025
                            twentyfiveEod: '0.00'
                            closingbalance: '0.00'
                            maxEodByIncome: '0.00'
                            minEodByIncome: '0.00'
                            openingBalance: '0.00'
                          - MaxEod: '0.00'
                            minEod: '0.00'
                            oneEod: '0.00'
                            tenEod: '0.00'
                            fiveEod: '0.00'
                            lastDay: '0.00'
                            monthYear: Apr 2025
                            twentyEod: '0.00'
                            averageEod: '0.00'
                            fifteenEod: '0.00'
                            maxEodDate: 01-04-2025
                            minEodDate: 01-04-2025
                            twentyfiveEod: '0.00'
                            closingbalance: '0.00'
                            maxEodByIncome: '0.00'
                            minEodByIncome: '0.00'
                            openingBalance: '0.00'
                      Bank Statement:
                        - Date: 17-01-2025
                          Slno: 1
                          Debit: '0.00'
                          Credit: '19201.64'
                          Balance: '19201.64'
                          Reference: ''
                          Particular: >-
                            UPI/9650565809-4@yb/Payment from Ph/FEDERAL
                            BANK/534809025084/YBLaeaab53012944d71ad603
                            bb8d3df4e31
                          FirstLevelClassification: UPI Receipt
                          SecondLevelClassification: UPI Receipt
                        - Date: 17-01-2025
                          Slno: 2
                          Debit: '19201.64'
                          Credit: '0.00'
                          Balance: '0.00'
                          Reference: ''
                          Particular: INF/INFT/20250117213043/Pay Later expen/Self
                          FirstLevelClassification: Online Payment
                          SecondLevelClassification: Online Payment
                        - Date: 01-03-2025
                          Slno: 3
                          Debit: '0.00'
                          Credit: '20067.00'
                          Balance: '20067.00'
                          Reference: ''
                          Particular: >-
                            UPI/9650565809-4@yb/Payment from Ph/FEDERAL
                            BANK/694546131728/YBL5f0a4f3dbcc345baaf165d8
                            1384599cb
                          FirstLevelClassification: UPI Receipt
                          SecondLevelClassification: UPI Receipt
                        - Date: 01-03-2025
                          Slno: 4
                          Debit: '20067.00'
                          Credit: '0.00'
                          Balance: '0.00'
                          Reference: ''
                          Particular: INF/INFT/20250301152104/Pay Later expen/Self
                          FirstLevelClassification: Online Payment
                          SecondLevelClassification: Online Payment
                        - Date: 16-03-2025
                          Slno: 5
                          Debit: '0.00'
                          Credit: '19870.00'
                          Balance: '19870.00'
                          Reference: ''
                          Particular: >-
                            UPI/9650565809-4@yb/Payment from Ph/FEDERAL
                            BANK/685515755697/YBL1173deef271c46e6b76d8e
                            a2d27053c8
                          FirstLevelClassification: UPI Receipt
                          SecondLevelClassification: UPI Receipt
                        - Date: 16-03-2025
                          Slno: 6
                          Debit: '19870.00'
                          Credit: '0.00'
                          Balance: '0.00'
                          Reference: ''
                          Particular: INF/INFT/20250316092112/Pay Later expen/Self
                          FirstLevelClassification: Online Payment
                          SecondLevelClassification: Online Payment
                        - Date: 31-03-2025
                          Slno: 7
                          Debit: '0.00'
                          Credit: '10000.00'
                          Balance: '10000.00'
                          Reference: ''
                          Particular: MMT/IMPS/509010206977/transfer/HEMA JOSHI/Yes Bank
                          FirstLevelClassification: IMPS Receipt
                          SecondLevelClassification: IMPS Receipt
                        - Date: 31-03-2025
                          Slno: 8
                          Debit: '10000.00'
                          Credit: '0.00'
                          Balance: '0.00'
                          Reference: ''
                          Particular: >-
                            UPI/9650565809@jupi/Payment from Ph/FEDERAL
                            BANK/833441243667/IBLeaaafcd8d48a4c269c1ae37
                            66420c498/
                          FirstLevelClassification: UPI Payment
                          SecondLevelClassification: UPI Payment
                        - Date: 03-04-2025
                          Slno: 9
                          Debit: '0.00'
                          Credit: '20075.00'
                          Balance: '20075.00'
                          Reference: ''
                          Particular: >-
                            UPI/9650565809-4@ax/Payment from Ph/FEDERAL
                            BANK/104883063297/AXL2f2297476fb54d9eb6d984
                            fab6c3fae3
                          FirstLevelClassification: UPI Receipt
                          SecondLevelClassification: UPI Receipt
                        - Date: 03-04-2025
                          Slno: 10
                          Debit: '19800.00'
                          Credit: '0.00'
                          Balance: '275.00'
                          Reference: ''
                          Particular: INF/INFT/20250403164210/Pay Later expen/Self
                          FirstLevelClassification: Online Payment
                          SecondLevelClassification: Online Payment
                        - Date: 03-04-2025
                          Slno: 11
                          Debit: '275.00'
                          Credit: '0.00'
                          Balance: '0.00'
                          Reference: ''
                          Particular: >-
                            UPI/9650565809@jupi/Payment from Ph/FEDERAL
                            BANK/628035406510/IBLb48ff480be13468aaaff8636
                            f28571a6/
                          FirstLevelClassification: UPI Payment
                          SecondLevelClassification: UPI Payment
                      Cheque Returns:
                        Other Reason Cheque Returns:
                          'null':
                            - Date: ''
                              Particular: ''
                              InwardAmount: null
                              OutwardAmount: null
                        Technical Reason Cheque Returns:
                          'null':
                            - Date: ''
                              Particular: ''
                              InwardAmount: null
                              OutwardAmount: null
                        Non Technical Reason  Cheque Returns:
                          'null':
                            - Date: ''
                              Particular: ''
                              InwardAmount: null
                              OutwardAmount: null
                      Online Returns:
                        Inward Online Returns:
                          'null':
                            - date: ''
                              Particular: ''
                              inwardAmount: null
                              outwardAmount: null
                        Outward Online Returns:
                          'null':
                            - date: ''
                              Particular: ''
                              inwardAmount: null
                              outwardAmount: null
                      Account Details:
                        Period: 17-01-2025 to 03-04-2025
                        BankName: ICICI Bank
                        Currency: INR
                        Account No: '054201525155'
                        ClientName: CHANDRA SHEKHAR KANDPAL
                        AccountType: Savings
                        No of months: '4'
                        Closing Balance: '0.00'
                        Opening Balanace: '0.00'
                      Loan Transactions:
                        Summary Of Loan Tranx:
                          - Debit: null
                            Month: ''
                            Credit: null
                        Details Of Loan Transactions:
                          - Date: ''
                            Debit: null
                            Credit: null
                            Particular: ''
                      Probable Ecs Tranx:
                        - Date: ''
                          Debit: null
                          Credit: null
                          Particular: ''
                      Top 10 Transactions:
                        Top 10 Debit:
                          - Date: 01-03-2025
                            Amount: '20067.00'
                            Particular: INF/INFT/20250301152104/Pay Later expen/Self
                            Classification: Online Payment
                          - Date: 16-03-2025
                            Amount: '19870.00'
                            Particular: INF/INFT/20250316092112/Pay Later expen/Self
                            Classification: Online Payment
                          - Date: 03-04-2025
                            Amount: '19800.00'
                            Particular: INF/INFT/20250403164210/Pay Later expen/Self
                            Classification: Online Payment
                          - Date: 17-01-2025
                            Amount: '19201.64'
                            Particular: INF/INFT/20250117213043/Pay Later expen/Self
                            Classification: Online Payment
                          - Date: 31-03-2025
                            Amount: '10000.00'
                            Particular: >-
                              UPI/9650565809@jupi/Payment from Ph/FEDERAL
                              BANK/833441243667/IBLeaaafcd8d48a4c269c1ae37
                              66420c498/
                            Classification: UPI Payment
                          - Date: 03-04-2025
                            Amount: '275.00'
                            Particular: >-
                              UPI/9650565809@jupi/Payment from Ph/FEDERAL
                              BANK/628035406510/IBLb48ff480be13468aaaff8636
                              f28571a6/
                            Classification: UPI Payment
                        Top 10 Credit:
                          - Date: 03-04-2025
                            Amount: '20075.00'
                            Particular: >-
                              UPI/9650565809-4@ax/Payment from Ph/FEDERAL
                              BANK/104883063297/AXL2f2297476fb54d9eb6d984
                              fab6c3fae3
                            Classification: UPI Receipt
                          - Date: 01-03-2025
                            Amount: '20067.00'
                            Particular: >-
                              UPI/9650565809-4@yb/Payment from Ph/FEDERAL
                              BANK/694546131728/YBL5f0a4f3dbcc345baaf165d8
                              1384599cb
                            Classification: UPI Receipt
                          - Date: 16-03-2025
                            Amount: '19870.00'
                            Particular: >-
                              UPI/9650565809-4@yb/Payment from Ph/FEDERAL
                              BANK/685515755697/YBL1173deef271c46e6b76d8e
                              a2d27053c8
                            Classification: UPI Receipt
                          - Date: 17-01-2025
                            Amount: '19201.64'
                            Particular: >-
                              UPI/9650565809-4@yb/Payment from Ph/FEDERAL
                              BANK/534809025084/YBLaeaab53012944d71ad603
                              bb8d3df4e31
                            Classification: UPI Receipt
                          - Date: 31-03-2025
                            Amount: '10000.00'
                            Particular: MMT/IMPS/509010206977/transfer/HEMA JOSHI/Yes Bank
                            Classification: IMPS Receipt
                      ECS,NACH Transaction:
                        - Date: ''
                          Debit: null
                          Credit: null
                          Particular: ''
                      ECS,NACH,CASH Return:
                        CASH RETURN TRANSACTIONS:
                          - Date: ''
                            Debit: null
                            Credit: null
                            Particular: ''
                        ECS/NACH RETURN TRANSACTIONS:
                          - Date: ''
                            Debit: null
                            Credit: null
                            Particular: ''
                      Investment Transactions:
                        Stock:
                          - Date: ''
                            Amount: null
                            Particular: ''
                            TransactionType: ''
                        Others:
                          - Date: ''
                            Amount: null
                            Particular: ''
                            TransactionType: ''
                        Mutual Funds:
                          - Date: ''
                            Amount: null
                            Particular: ''
                            TransactionType: ''
                        Term Deposits:
                          - Date: ''
                            Amount: null
                            Particular: ''
                            TransactionType: ''
                      Exceptional Transactions:
                        Total: 2
                        Transactions On Sunday:
                          - date: 16-03-2025
                            debit: '0.00'
                            credit: '19870.00'
                            particular: >-
                              UPI/9650565809-4@yb/Payment from Ph/FEDERAL
                              BANK/685515755697/YBL1173deef271c46e6b76d8e
                              a2d27053c8
                          - date: 16-03-2025
                            debit: '19870.00'
                            credit: '0.00'
                            particular: INF/INFT/20250316092112/Pay Later expen/Self
                        High Value Transactions: []
                        Rtgs Payments less than 2 Lakhs: []
                        Atm withdrawl not in multiple of 100: []
                        CashDeposit greater than equal to 50000: []
                        CashDeposit greater than  Average Income: []
                        CashWithdrawl greater than equal to 50000: []
                        CashDeposit greater than equal to 50% Of Average Income: []
                        CashWithdrawl greater than equal to 50% Of Average Income: []
                      Related Party Transactions:
                        'null':
                          - Date: ''
                            Debit: null
                            Credit: null
                            Particular: ''
                200 - File Processing In Progress:
                  value:
                    code: 200
                    timestamp: 1743779806782
                    transaction_id: 0f035b57f38f4694pc5efe400273ca73
                    sub_code: IN_PROGRESS
                    message: File processing is in progress
                    data: null
                200 - File Processing Failed:
                  value:
                    code: 200
                    timestamp: 1744185415580
                    transaction_id: d6e5e67744104a74bc3b0c2d82f22ef1
                    sub_code: FAILED
                    message: File processing failed
                    data: null
        '400':
          description: BAD_REQUEST (Invalid Input / Parameters)
          content:
            application/json:
              schema:
                title: Response 400 - Inactive Client / Invalid Reference ID
                oneOf:
                  - $ref: >-
                      #/components/schemas/RESPONSE_BANK_STATEMENT_RESULT_400_INACTIVE_CLIENT
                  - $ref: >-
                      #/components/schemas/RESPONSE_BANK_STATEMENT_RESULT_400_INVALID_REFERENCE_ID
              examples:
                400 - Inactive Client:
                  value:
                    detail: Inactive client_id
                400 - Invalid Reference ID:
                  value:
                    code: 400
                    timestamp: 1744185415580
                    transaction_id: 52aac18e83d246f19e4c98023a71c01a
                    sub_code: INVALID_REFERENCE_ID
                    message: Invalid reference_id
        '401':
          description: Incorrect client_id or client_secret
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/RESPONSE_BANK_STATEMENT_RESULT_401_UNAUTHENTICATED
              examples:
                401 - Unauthorized:
                  value:
                    detail: Not authenticated
        '403':
          description: Access Forbidden
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/RESPONSE_BANK_STATEMENT_RESULT_403_ACCESS_FORBIDDEN
              examples:
                403 - Invalid Token:
                  value:
                    detail: Not a valid token
        '422':
          description: BAD_REQUEST
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/RESPONSE_BANK_STATEMENT_RESULT_422_INVALID_REPORT_TYPE
              examples:
                422 - Invalid Report Type:
                  value:
                    detail:
                      - loc:
                          - query
                          - report_type
                        msg: >-
                          report_type must be one of: ReportTypeEnum.json,
                          ReportTypeEnum.xlsx.
                        type: type_error.enum
                        ctx:
                          enum_values:
                            - json
                            - xlsx
        '503':
          description: Service Unavailable
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/RESPONSE_BANK_STATEMENT_RESULT_503_SOURCE_UNAVAILABLE
              examples:
                503 - Source Unavailable:
                  value:
                    code: 503
                    timestamp: 1777726565
                    transaction_id: 764fead04d949077caeff7398e0
                    message: Source Unavailable
        '504':
          description: Gateway Timeout
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/RESPONSE_BANK_STATEMENT_RESULT_504_GATEWAY_TIMEOUT
              examples:
                504 - Bank Statement Service Timeout:
                  value:
                    detail: >-
                      Request to bank statement analysis service timed out.
                      Please try again later.
components:
  schemas:
    ReportTypeEnum:
      title: ReportTypeEnum
      enum:
        - json
        - xlsx
      type: string
      description: An enumeration.
    RESPONSE_BANK_STATEMENT_RESULT_200_COMPLETED_XLSX:
      title: File Processing Completed (XLSX)
      type: object
      properties:
        code:
          title: Code
          type: integer
          default: 200
        timestamp:
          title: Timestamp
          type: integer
        transaction_id:
          title: Transaction Id
          type: string
        sub_code:
          title: Sub Code
          type: string
          default: SUCCESS
        message:
          title: Message
          type: string
          default: File processing completed
        data:
          title: Data
          type: object
          properties:
            url:
              title: Report URL
              type: string
    RESPONSE_BANK_STATEMENT_RESULT_200_COMPLETED:
      title: File Processing Completed (JSON)
      type: object
      properties:
        code:
          title: Code
          type: integer
          default: 200
        timestamp:
          title: Timestamp
          type: integer
        transaction_id:
          title: Transaction Id
          type: string
        sub_code:
          title: Sub Code
          type: string
          default: SUCCESS
        message:
          title: Message
          type: string
          default: File processing completed
        data:
          title: Data
          type: object
          properties:
            salary:
              title: Salary
              type: array
              items:
                type: object
                properties:
                  month:
                    title: Month
                    type: string
                    nullable: true
                  amount:
                    title: Amount
                    type: number
                    nullable: true
                  salaryUtilizationNoOfDays:
                    title: Salary Utilization No Of Days
                    type: number
                    nullable: true
                  salaryUtilizationPercentage:
                    title: Salary Utilization Percentage
                    type: number
                    nullable: true
            OverView:
              title: Overview
              type: object
              additionalProperties:
                type: object
                properties:
                  monthYear:
                    title: Month Year
                    type: string
                  ReceiptTotal:
                    title: Receipt Total
                    type: number
                    nullable: true
                  TotalExpenses:
                    title: Total Expenses
                    type: number
                    nullable: true
                  OnlinePayments:
                    title: Online Payments
                    type: number
                    nullable: true
                  OnlineReceipts:
                    title: Online Receipts
                    type: number
                    nullable: true
                  ReceiptMargin:
                    title: Receipt Margin
                    type: number
                    nullable: true
                  TotalExpenseMargin:
                    title: Total Expense Margin
                    type: number
                    nullable: true
                  ExternalPaymentMargin:
                    title: External Payment Margin
                    type: number
                    nullable: true
                  ExternalPaymentsTotal:
                    title: External Payments Total
                    type: number
                    nullable: true
                  ExternalReceiptsTotal:
                    title: External Receipts Total
                    type: number
                    nullable: true
                  ExternalReceiptsMargin:
                    title: External Receipts Margin
                    type: number
                    nullable: true
                  OpeningBalance:
                    title: Opening Balance
                    type: number
                    nullable: true
                  ClosingBalance:
                    title: Closing Balance
                    type: number
                    nullable: true
            SnapShot:
              title: Snapshot
              type: object
              properties:
                Income:
                  title: Income
                  type: array
                  items:
                    type: object
                    properties:
                      Month:
                        title: Month
                        type: string
                      MonthlyIncomeByTotalIncome:
                        title: Monthly Income By Total Income
                        type: string
                      MonthlyExpenseByTotalIncome:
                        title: Monthly Expense By Total Income
                        type: string
                      MonthlySavingsByTotalIncome:
                        title: Monthly Savings By Total Income
                        type: string
                Description:
                  title: Description
                  type: object
                POS tranx account for:
                  title: POS Tranx Account For
                  type: object
                Marginal increase/(Descrease) in:
                  title: Marginal Increase / Decrease In
                  type: object
            Eod analysis:
              title: EOD Analysis
              type: object
              properties:
                Eod Daily:
                  title: EOD Daily
                  type: string
                EOD MONTH WISE:
                  title: EOD Month Wise
                  type: array
                  items:
                    type: object
                    properties:
                      monthYear:
                        title: Month Year
                        type: string
                      MaxEod:
                        title: Max EOD
                        type: string
                      minEod:
                        title: Min EOD
                        type: string
                      averageEod:
                        title: Average EOD
                        type: string
                      openingBalance:
                        title: Opening Balance
                        type: string
                      closingbalance:
                        title: Closing Balance
                        type: string
                      maxEodDate:
                        title: Max EOD Date
                        type: string
                      minEodDate:
                        title: Min EOD Date
                        type: string
                      maxEodByIncome:
                        title: Max EOD By Income
                        type: string
                      minEodByIncome:
                        title: Min EOD By Income
                        type: string
            Bank Statement:
              title: Bank Statement
              type: array
              items:
                type: object
                properties:
                  Date:
                    title: Date
                    type: string
                  Slno:
                    title: Sl No
                    type: integer
                  Debit:
                    title: Debit
                    type: string
                  Credit:
                    title: Credit
                    type: string
                  Balance:
                    title: Balance
                    type: string
                  Reference:
                    title: Reference
                    type: string
                  Particular:
                    title: Particular
                    type: string
                  FirstLevelClassification:
                    title: First Level Classification
                    type: string
                  SecondLevelClassification:
                    title: Second Level Classification
                    type: string
            Account Details:
              title: Account Details
              type: object
              properties:
                Period:
                  title: Period
                  type: string
                BankName:
                  title: Bank Name
                  type: string
                Currency:
                  title: Currency
                  type: string
                Account No:
                  title: Account No
                  type: string
                ClientName:
                  title: Client Name
                  type: string
                AccountType:
                  title: Account Type
                  type: string
                No of months:
                  title: No Of Months
                  type: string
                Closing Balance:
                  title: Closing Balance
                  type: string
                Opening Balanace:
                  title: Opening Balance
                  type: string
            Top 10 Transactions:
              title: Top 10 Transactions
              type: object
              properties:
                Top 10 Debit:
                  title: Top 10 Debit
                  type: array
                  items:
                    type: object
                    properties:
                      Date:
                        title: Date
                        type: string
                      Amount:
                        title: Amount
                        type: string
                      Particular:
                        title: Particular
                        type: string
                      Classification:
                        title: Classification
                        type: string
                Top 10 Credit:
                  title: Top 10 Credit
                  type: array
                  items:
                    type: object
                    properties:
                      Date:
                        title: Date
                        type: string
                      Amount:
                        title: Amount
                        type: string
                      Particular:
                        title: Particular
                        type: string
                      Classification:
                        title: Classification
                        type: string
            Exceptional Transactions:
              title: Exceptional Transactions
              type: object
              properties:
                Total:
                  title: Total
                  type: integer
                Transactions On Sunday:
                  title: Transactions On Sunday
                  type: array
                  items:
                    type: object
                High Value Transactions:
                  title: High Value Transactions
                  type: array
                  items:
                    type: object
                Rtgs Payments less than 2 Lakhs:
                  title: RTGS Payments Less Than 2 Lakhs
                  type: array
                  items:
                    type: object
                CashDeposit greater than equal to 50000:
                  title: Cash Deposit >= 50000
                  type: array
                  items:
                    type: object
                CashWithdrawl greater than equal to 50000:
                  title: Cash Withdrawal >= 50000
                  type: array
                  items:
                    type: object
            Cheque Returns:
              title: Cheque Returns
              type: object
            Online Returns:
              title: Online Returns
              type: object
            Loan Transactions:
              title: Loan Transactions
              type: object
            Probable Ecs Tranx:
              title: Probable ECS Transactions
              type: array
              items:
                type: object
            ECS,NACH Transaction:
              title: ECS NACH Transactions
              type: array
              items:
                type: object
            ECS,NACH,CASH Return:
              title: ECS NACH Cash Returns
              type: object
            Investment Transactions:
              title: Investment Transactions
              type: object
            Related Party Transactions:
              title: Related Party Transactions
              type: object
    RESPONSE_BANK_STATEMENT_RESULT_200_IN_PROGRESS:
      title: File Processing In Progress
      type: object
      properties:
        code:
          title: Code
          type: integer
          default: 200
        timestamp:
          title: Timestamp
          type: integer
        transaction_id:
          title: Transaction Id
          type: string
        sub_code:
          title: Sub Code
          type: string
          default: IN_PROGRESS
        message:
          title: Message
          type: string
          default: File processing is in progress
        data:
          title: Data
          type: object
          nullable: true
    RESPONSE_BANK_STATEMENT_RESULT_200_FAILED:
      title: File Processing Failed
      type: object
      properties:
        code:
          title: Code
          type: integer
          default: 200
        timestamp:
          title: Timestamp
          type: integer
        transaction_id:
          title: Transaction Id
          type: string
        sub_code:
          title: Sub Code
          type: string
          default: FAILED
        message:
          title: Message
          type: string
          default: File processing failed
        data:
          title: Data
          type: object
          nullable: true
    RESPONSE_BANK_STATEMENT_RESULT_400_INACTIVE_CLIENT:
      title: Inactive Client
      type: object
      properties:
        detail:
          title: Detail
          type: string
          default: Inactive client_id
    RESPONSE_BANK_STATEMENT_RESULT_400_INVALID_REFERENCE_ID:
      title: Invalid Reference ID
      type: object
      properties:
        code:
          title: Code
          type: integer
          default: 400
        timestamp:
          title: Timestamp
          type: integer
        transaction_id:
          title: Transaction Id
          type: string
        sub_code:
          title: Sub Code
          type: string
          default: INVALID_REFERENCE_ID
        message:
          title: Message
          type: string
          default: Invalid reference_id
    RESPONSE_BANK_STATEMENT_RESULT_401_UNAUTHENTICATED:
      title: Not Authenticated
      type: object
      properties:
        detail:
          title: Detail
          type: string
          default: Not authenticated
    RESPONSE_BANK_STATEMENT_RESULT_403_ACCESS_FORBIDDEN:
      title: Access Forbidden
      type: object
      properties:
        detail:
          title: Detail
          type: string
          default: Not a valid token
    RESPONSE_BANK_STATEMENT_RESULT_422_INVALID_REPORT_TYPE:
      title: Invalid Report Type
      type: object
      properties:
        detail:
          title: Detail
          type: array
          items:
            type: object
            properties:
              loc:
                title: Location
                type: array
                items:
                  type: string
              msg:
                title: Message
                type: string
              type:
                title: Type
                type: string
              ctx:
                title: Context
                type: object
                properties:
                  enum_values:
                    title: Enum Values
                    type: array
                    items:
                      type: string
    RESPONSE_BANK_STATEMENT_RESULT_503_SOURCE_UNAVAILABLE:
      title: Source Unavailable
      type: object
      properties:
        code:
          title: Code
          type: integer
          default: 503
        timestamp:
          title: Timestamp
          type: integer
        transaction_id:
          title: Transaction Id
          type: string
        message:
          title: Message
          type: string
          default: Source Unavailable
    RESPONSE_BANK_STATEMENT_RESULT_504_GATEWAY_TIMEOUT:
      title: Gateway Timeout
      type: object
      properties:
        detail:
          title: Detail
          type: string
          default: >-
            Request to bank statement analysis service timed out. Please try
            again later.
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        ACCESS_TOKEN generated from the authorize endpoint. Should be included
        in the header as Bearer .
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        The CLIENT_SECRET provided to you. This header parameter is required for
        authentication purposes.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.